searchNodes=[{"doc":"Contains functions to add soft delete columns to a table during migrations","ref":"Ecto.SoftDelete.Migration.html","title":"Ecto.SoftDelete.Migration","type":"module"},{"doc":"Adds deleted_at column to a table. This column is used to track if an item is deleted or not and when defmodule MyApp.Repo.Migrations.CreateUser do use Ecto.Migration import Ecto.SoftDelete.Migration def change do create table(:users) do add :email, :string add :password, :string timestamps() soft_delete_columns() end end end","ref":"Ecto.SoftDelete.Migration.html#soft_delete_columns/0","title":"Ecto.SoftDelete.Migration.soft_delete_columns/0","type":"function"},{"doc":"functions for querying data that is (or is not) soft deleted","ref":"Ecto.SoftDelete.Query.html","title":"Ecto.SoftDelete.Query","type":"module"},{"doc":"Returns a query that searches only for undeleted items query = from(u in User, select: u) |&gt; with_undeleted results = Repo.all(query)","ref":"Ecto.SoftDelete.Query.html#with_undeleted/1","title":"Ecto.SoftDelete.Query.with_undeleted/1","type":"function"},{"doc":"Adds soft delete functions to an repository. defmodule Repo do use Ecto.Repo, otp_app: :my_app, adapter: Ecto.Adapters.Postgres use Ecto.SoftDelete.Repo end","ref":"Ecto.SoftDelete.Repo.html","title":"Ecto.SoftDelete.Repo","type":"behaviour"},{"doc":"Soft deletes a struct. Updates the deleted_at field with the current datetime in UTC. It returns {:ok, struct} if the struct has been successfully soft deleted or {:error, changeset} if there was a validation or a known constraint error. Examples post = MyRepo.get!(Post, 42) case MyRepo.soft_delete post do {:ok, struct} -&gt; # Soft deleted with success {:error, changeset} -&gt; # Something went wrong end","ref":"Ecto.SoftDelete.Repo.html#c:soft_delete/1","title":"Ecto.SoftDelete.Repo.soft_delete/1","type":"callback"},{"doc":"Same as soft_delete/1 but returns the struct or raises if the changeset is invalid.","ref":"Ecto.SoftDelete.Repo.html#c:soft_delete!/1","title":"Ecto.SoftDelete.Repo.soft_delete!/1","type":"callback"},{"doc":"Soft deletes all entries matching the given query. It returns a tuple containing the number of entries and any returned result as second element. The second element is nil by default unless a select is supplied in the update query. Examples MyRepo.soft_delete_all(Post) from(p in Post, where: p.id &lt; 10) |&gt; MyRepo.soft_delete_all()","ref":"Ecto.SoftDelete.Repo.html#c:soft_delete_all/1","title":"Ecto.SoftDelete.Repo.soft_delete_all/1","type":"callback"},{"doc":"Contains schema macros to add soft delete fields to a schema","ref":"Ecto.SoftDelete.Schema.html","title":"Ecto.SoftDelete.Schema","type":"module"},{"doc":"Adds the deleted_at column to a schema defmodule User do use Ecto.Schema import Ecto.SoftDelete.Schema schema &quot;users&quot; do field :email, :string soft_delete_schema() end end","ref":"Ecto.SoftDelete.Schema.html#soft_delete_schema/0","title":"Ecto.SoftDelete.Schema.soft_delete_schema/0","type":"macro"}]